Wt: Wt::WSuggestionPopup::Options Struct Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Attributes | List of all members
Wt::WSuggestionPopup::Options Struct Reference

A configuration object to generate a matcher and replacer JavaScript function. More...

`#include <WSuggestionPopup.h>`

## Public Attributes
std::string | highlightBeginTag
| Open tag to highlight a match in a suggestion.
std::string | highlightEndTag
| Close tag to highlight a match in a suggestion.
char | listSeparator
| When editing a list of values, the separator used for different items.
std::string | whitespace
| When editing a value, the whitespace characters ignored before the current value.
std::string | wordSeparators
| Characters that start a word in a suggestion to match against.
std::string | appendReplacedText
| When replacing the current edited value with suggestion value, append the following string as well.
std::string | wordStartRegexp
| Regular expression that starts a word in a suggestion to match against.

## Detailed Description

A configuration object to generate a matcher and replacer JavaScript function.

See also
  WSuggestionPopup

## Member Data Documentation

## ◆ appendReplacedText

std::string Wt::WSuggestionPopup::Options::appendReplacedText

When replacing the current edited value with suggestion value, append the following string as well.

Used during replacing.

## ◆ highlightBeginTag

std::string Wt::WSuggestionPopup::Options::highlightBeginTag

Open tag to highlight a match in a suggestion.

Must be an opening markup tag, such as <b>.

Used during matching.

## ◆ highlightEndTag

std::string Wt::WSuggestionPopup::Options::highlightEndTag

Close tag to highlight a match in a suggestion.

Must be a closing markup tag, such as </b>.

Used during matching.

## ◆ listSeparator

char Wt::WSuggestionPopup::Options::listSeparator

When editing a list of values, the separator used for different items.

For example, ',' to separate different values on comma. Specify 0 ('\0') for no list separation.

Used during matching and replacing.

## ◆ whitespace

std::string Wt::WSuggestionPopup::Options::whitespace

When editing a value, the whitespace characters ignored before the current value.

For example, " \n" to ignore spaces and newlines.

Used during matching and replacing.

## ◆ wordSeparators

std::string Wt::WSuggestionPopup::Options::wordSeparators

Characters that start a word in a suggestion to match against.

For example, " .@" will also match with suggestion text after a space, a dot (.) or an at-symbol (@). Alternatively you may also specify this as a regular expression in `wordStartRegexp`.

Used during matching.

## ◆ wordStartRegexp

std::string Wt::WSuggestionPopup::Options::wordStartRegexp

Regular expression that starts a word in a suggestion to match against.

When empty, the value of `wordSeparators` is used instead.

Used during replacing.